Subject: 24.4; Opening buffer-menu causes periodic auto-recentering in all windows

From: Sylvain Benner <[email-masked]>
Date: Wed, 10 Dec 2014 23:36:54 -0500

Whenever I open a buffer-menu with C-x C-b then switch to a buffer I get
a periodic recentering of the point in all the buffers I visit.

I tracked the bug to find a work around and ended up redefining
`tabulated-list-revert`
function like this:

(defun tabulated-list-revert (&rest ignored)
  "The `revert-buffer-function' for `tabulated-list-mode'.
It runs `tabulated-list-revert-hook', then calls `tabulated-list-print'."
  (interactive)
  (unless (derived-mode-p 'tabulated-list-mode)
    (error "The current buffer is not in Tabulated List mode"))
  (run-hooks 'tabulated-list-revert-hook)
  ;; hack is here
  ;; (tabulated-list-print t)
  (tabulated-list-print))

syl20bnr